#########################################################################
# Powershell to add records to DNS from a V-Commander request workflow
#
# Expects 3 parameters, zone, hostname and ip
if ($args.Length -ne 3) {
   Write-Host "Invalid params. Expected: zone hostname ip"
   return 1
}

$zone = $args[0]
$class = 1
$ttl = 3600
$ip = $args[2]
$hostname = $args[1]
$record = "$hostname.$zone"

Write-Host "Deleting DNS Entry: $ip"
$rec = get-wmiobject -class "MicrosoftDNS_AType" -Namespace "root\MicrosoftDNS" -ComputerName INVT-MIA-DC802 -Filter "IPAddress = '$ip'"
$rec.psbase.Delete()
return
Write-Host "Creating DNS Entry: $record -> $ip"

try  {
   $A = [wmiclass]"\\$zone\root\MicrosoftDNS:MicrosoftDNS_AType"
} catch {   
   Write-Host "Error: zone=$zone hostname=$hostname ip=$ip"
   Write-Host $_.Exception.ToString()
   return 2
}
   
try  {
   $A.CreateInstanceFromPropertyData($zone, $zone, $record, $class, $ttl, $ip)
   Write-Host "Success"
} catch {
   Write-Host "Error: zone=$zone hostname=$hostname ip=$ip"
   return 3
} 
