$DEBUG=$true
$scriptname="add-user"
#$DEBUGFILE="$HOME\Downloads\$scriptname-$(get-date -format MMddyyHHmmss).log" #Put logs in Service Account directory
$DEBUGFILE="c:\Logs\$scriptname-$(get-date -format MMddyyHHmmss).log" #Put logs in a common directory
if($DEBUG){Write-Output "Start $scriptname" | Out-File $DEBUGFILE -Append}
if ($args.Length -lt 3) {
	if($DEBUG){Write-Output "Invalid Arguments" | Out-File $DEBUGFILE -Append} 
 	exit
}
 
$strAccount1 = $args[0]
$strAccount2 = $args[1]
$strComputer = $args[2]
$strDomain1 = "fti4olap"
$strDomain2 = "internal"
if($DEBUG){Write-Output "strAccount1=$strAccount1" | Out-File $DEBUGFILE -Append}
if($DEBUG){Write-Output "strAccount2=$strAccount2" | Out-File $DEBUGFILE -Append}
if($DEBUG){Write-Output "strComputer=$strComputer" | Out-File $DEBUGFILE -Append}
if($DEBUG){Write-Output "strDomain1=$strDomain1" | Out-File $DEBUGFILE -Append}
if($DEBUG){Write-Output "strDomain2=$strDomain2" | Out-File $DEBUGFILE -Append}

if($DEBUG){Write-Output "Adding users to VM" | Out-File $DEBUGFILE -Append}
 
$computer = [ADSI]("WinNT://" + $strComputer + ",computer") 
$group = $computer.psbase.children.find("Administrators") 
#$group.Name 
if($DEBUG){Write-Output "Attempting to add users to $group" | Out-File $DEBUGFILE -Append}

#function ListAdministrators 
#{$members = $group.psbase.invoke("Members") | %{$_.GetType().InvokeMember("Name",'GetProperty',$null,$_,$null)} 
#$members} 
 
$group.Add("WinNT://" + $strDomain1 + "/" + $strAccount1) 
if($DEBUG){Write-Output "Finished adding WinNT://$strDomain1/$strAccount1 to groups" | Out-File $DEBUGFILE -Append}
$group.Add("WinNT://" + $strDomain2 + "/" + $strAccount2) 
if($DEBUG){Write-Output "Finished adding WinNT://$strDomain2/$strAccount2 to groups" | Out-File $DEBUGFILE -Append}
#ListAdministrators 

if($DEBUG){Write-Output "Done" | Out-File $DEBUGFILE -Append}

